# Zahlensysteme
Zahlensysteme haben jeweils eine bestimme Basis, die darüber bestimmt, welche Wertigkeit die einzelnen Ziffern haben.

So hat unser herkömmliches System, das Dezimalsystem, die Basis 10. Die erste Ziffer hat den Wert $10^0$, die zweite Ziffer den Wert $10^1$, die dritte den Wert $10^2$ etc.

## Zahlensysteme umwandeln
### Binärzahlen in Hexadezimal umwandeln
Binär- und Hexadezimal-Zahlen lassen sich problemlos umwandeln.

Jede Hexadezimalzahl entspricht jeweils 4 Stellen im Binärsystem. Folgend eine Tabelle mit allen Hexadezimal-Zahlen und deren Binären Repräsentationen:

|  Hex  |  Bin   |
| :---: | :----: |
|  $0$  | $0000$ |
|  $1$  | $0001$ |
|  $2$  | $0010$ |
|  $3$  | $0011$ |
|  $4$  | $0100$ |
|  $5$  | $0101$ |
|  $6$  | $0110$ |
|  $7$  | $0111$ |
|  $8$  | $1000$ |
|  $9$  | $1001$ |
|  $A$  | $1010$ |
|  $B$  | $1011$ |
|  $C$  | $1100$ |
|  $D$  | $1101$ |
|  $E$  | $1110$ |
|  $F$  | $1111$ |

> Beispiel anhand des $8$er- (Oktal)-Systems:
> | $8^3$ | $8^2$ | $8^1$ | $8^0$ |
> | :---: | :---: | :---: | :---: |
> |  $6$  |  $2$  |  $5$  |  $7$  |
>
> $$6257_8 = \\
> 6 \cdot 8^3 + 2 \cdot 8^2 + 5 \cdot 8^1 + 7 \cdot 8^0 = \\
> 6 \cdot 512 + 2 \cdot 64 + 5 \cdot 8 + 7 \cdot 1 = \\
> 3072 + 128 + 40 + 8 = 3248$$