# Glossar
| Bezeichnung                                      | Definition                                                                                                                                                                     |
| ------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Alphabet                                         | **Endliche**, **nichtleere** Menge von **Symbolen**. Bsp: $\Sigma_\text{Bool}=\{0,1\}$                                                                                         |
| Wort                                             | Ist eine **endliche** Folge von Symbolen eines Alphabets. Bsp. $100111$ ist ein Wort über dem Alphabet $\{0,1\}$                                                               |
| Leeres Wort $\varepsilon$                        | Ist ein Wort, welches keine Symbole enthält. Dieses kann mit jedem Alphabet dargestellt werden.                                                                                |
| Wortlänge                                        | Der Operator $\|\Box\|$ bezeichnet die Länge eines Wortes. Bsp: $\|abc\|=\{1,2,3\}$                                                                                            |
| Häufigkeit eines Symbols in einem Wort $\|w\|_x$ | Bezeichnet die **absolute Häufigkeit eines Wortes $x$ in einem Wort $w$**                                                                                                      |
| Spiegelwort $w^R$                                | $w^R$ ist die spiegelverkehrte Repräsentation eines Wortes: $abc^R = cba$                                                                                                      |
| Infix                                            | Ein Teilwort eines Wortes. Beispiel: Von "Bodensee-Rundfahrt-Passkontrolleur" Können beliebige Teilworte (Infixes) wie etwa "Bodensee" oder "Passkontrolleur" gebildet werden. |
| Prefix                                           | Der Start eines Wortes.                                                                                                                                                        |
| Suffix                                           | Das Ende eines Wortes.                                                                                                                                                         |
| Menge aller Wörter der Länge $k$                 | Die **Menge aller Wörter der Länge** $k$ über dem Alphabet $\Sigma$ wird mit $\Sigma^k$ bezeichnet. $\Sigma^0$ ist immer $= \{\varepsilon\}$                                   |
| Menge aller Wörter $\Sigma^*$                    |

# Wortpotenz
Sei $x$ ein Wort über einem Alphabet $\Sigma$. Für alle $n \in \N$ sind **Wortpotenzen** wie folgt definiert:

$x^0 := \varepsilon$
$x^n+1 := x^n \circ x = x^nx$

> ***Beispiel:***
> $a^3 = a^2a = a^1aa = a^0aaa = aaa$

# Konkatenation von Alphabeten
Die Konkatenation $AB$ ist ein Alphabet, welches Verkettungen aller Alphabet-Einträge $A$ und Alphabet-Einträge $B$ beinhaltet.

# Kleenesche Hülle
Die Kleenesche Hülle $A^*$ ist ein Alphabet, welcher die Verkettungen beliebig vieler Alphabet-Einträge von $A$ beinhaltet.


# Symbole
| Symbol        | Bedeutung     |
| ------------- | ------------- |
| $\varepsilon$ | Leeres Wort   |
| $\empty = {}$ | Leere Sprache |